Name: sugar-plugin-stats
Version: 0.1

Release: 1.1
Group: Development/Tools/Other
Summary: Collect usage statistics with uploading to a Sugar Network server
License: GPLv3+
Url: http://git.sugarlabs.org/desktop/sugar-plugin-stats

Source: sugar-plugin-stats-0.1.tar.gz
Source1: sweet.tar.gz





BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
Collect usage statistics with uploading to a Sugar Network server

%prep
%setup -n sugar-plugin-stats-0.1

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build



%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

install -m 0755 -d %{buildroot}/.dest/%{_datadir}/doc/sugar-plugin-stats && cp AUTHORS COPYING HACKING README %{buildroot}/.dest/%{_datadir}/doc/sugar-plugin-stats/ && install -m 0755 -d %{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins && cp -r plugin %{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins/stats && for i in `ls po/*.po`; do d=%{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins/stats/locale/`basename $i .po`/LC_MESSAGES && mkdir -p $d && msgfmt -o $d/sugar-plugin-stats.mo $i; done && true
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /usr '' '' >> sugar-plugin-stats.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sugar-plugin-stats
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sugar-plugin-stats/pydirs)
echo /opt/sweets/sugar-plugin-stats/pydirs >> sugar-plugin-stats.files

%post
test -e /opt/sweets/sugar-plugin-stats/pydirs && for i in `cat /opt/sweets/sugar-plugin-stats/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sugar-plugin-stats/pydirs && for i in `cat /opt/sweets/sugar-plugin-stats/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sugar-plugin-stats.files

%changelog
